"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aggregateFunctions = require("./aggregate-functions");
const builtinFunctions = require("./builtin-functions");
const helpers = require("./helpers");
exports.default = (collection, { code, parameters, udf = {}, maxItemCount, continuation, compositeIndexes }) => {
    // eslint-disable-next-line no-new-func
    const execute = new Function(`"use strict";return (${code})`)();
    const params = {};
    (parameters || []).forEach(({ name, value }) => {
        params[name.slice(1)] = value;
    });
    return execute(aggregateFunctions, builtinFunctions, collection, helpers, udf, params, maxItemCount, continuation, compositeIndexes);
};
