import { SyntaxError } from "./parser";
import { CompositeIndex } from "./types";
declare class Query {
    _query: string;
    _code: string | undefined | null;
    ast: {
        [x: string]: any;
    };
    constructor(query: string);
    readonly code: string;
    exec(coll: {}[], { parameters, udf, maxItemCount, continuation, compositeIndexes }?: {
        parameters?: {
            name: string;
            value: any;
        }[];
        udf?: {
            [x: string]: any;
        };
        maxItemCount?: number;
        continuation?: {
            token: string;
        };
        compositeIndexes?: CompositeIndex[][];
    }): any;
    containsPartitionKeys(paths: string[]): boolean;
}
declare const _default: (query: string) => Query;
export default _default;
export { CompositeIndex, SyntaxError };
